<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowEditReferencesDlg Method (IEdmAddCustomRefs)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs Interface : ShowEditReferencesDlg Method (IEdmAddCustomRefs)

Visual Basic
C#
C++/CLI

ppoFileIdArray
  Array of IDs of the files to edit

lParentWnd
  Parent window handle

Displays the Edit User-Defined File References dialog box that allows the user to edit the existing file references.

# Syntax

Visual Basic |
--- | ---

    Function ShowEditReferencesDlg( _
       ByRef ppoFileIdArray() As System.Integer, _
       ByVal lParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowEditReferencesDlg(
       ref System.int[] ppoFileIdArray,
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    System.bool ShowEditReferencesDlg(
    &   System.array<int>^% ppoFileIdArray,
    &   System.int lParentWnd
    )

#### Parameters

ppoFileIdArray
  Array of IDs of the files to edit
lParentWnd
  Parent window handle

#### Return Value

True if the user modified the file references, false if no changes were made

# Example

Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs Interface
IEdmAddCustomRefs Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional